Supported Formats

json

Errors

Code Description
401 Unauthorized
500 Server crashed for some <%= reason %>

Examples

GET /CareTeam?patient=1&access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
  "resourceType": "Bundle",
  "id": "8977795c40d5b1254f7421413f78057a",
  "type": "searchset",
  "entry": [],
  "total": 0
}
GET /CareTeam?patient=1&access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
  "resourceType": "Bundle",
  "id": "b593294ae88856c76bac2b3c7164d257",
  "type": "searchset",
  "entry": [],
  "total": 0
}

Params

Param name Description
access_token
optional

CarePaths User OAuth Token

Validations:

  • Must be String.

status
optional

Status of Care Team (active, proposed, etc.)

Validations:

  • Must be string.

patient
optional

ID of Patient

Validations:

  • Must be number.

start_date
optional

Start date for dataset; Format YYYY-MM-DD

Validations:

  • Must be Date.

end_date
optional

End date for dataset; Format YYYY-MM-DD

Validations:

  • Must be Date.

Returns

Code: 200

Description:

List of resources

Param name Description
resource_type
required

Bundle

Validations:

  • Must be String.

type
required

Validations:

  • Must be String.